> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Active Users >
Premium tag
Retrieve the metrics of active users in the workspace during a specific period. Permission required: `view-engagement-dashboard` ### Changelog | Version | Description | | ---------------- | ------------| |3.1.0 | Added | ## OpenAPI ````json GET /api/v1/engagement-dashboard/users/active-users { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Statistics" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels Engagement" }, { "name": "Messages Engagement" }, { "name": "Statistics" }, { "name": "Users Engagement" } ], "paths": { "/api/v1/engagement-dashboard/users/active-users": { "get": { "tags": [ "Users Engagement" ], "summary": "Get Active Users", "description": "
\"Premium
\n\nRetrieve the metrics of active users in the workspace during a specific period.\n\nPermission required: `view-engagement-dashboard` \n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n|3.1.0 | Added |", "operationId": "get-api-v1-engagement-dashboard-users-active-users", "parameters": [ { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/start" }, { "$ref": "#/components/parameters/end" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "month": { "type": "array", "items": { "type": "object", "properties": { "usersList": { "type": "array", "items": { "type": "string" } }, "users": { "type": "integer" }, "day": { "type": "integer" }, "month": { "type": "integer" }, "year": { "type": "integer" } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "month": [ { "usersList": [ "rYhzFRd2QZjNwAAXX" ], "users": "1", "day": "5", "month": "5", "year": "2023" }, { "usersList": [ "rYhzFRd2QZjNwAAXX" ], "users": "1", "day": "4", "month": "5", "year": "2023" }, { "usersList": [ "rYhzFRd2QZjNwAAXX" ], "users": "1", "day": "3", "month": "5", "year": "2023" }, { "usersList": [ "rYhzFRd2QZjNwAAXX" ], "users": "1", "day": "2", "month": "5", "year": "2023" }, { "usersList": [ "rbAXPnMktTFbNpwtJ", "9iN96PXnDK7XAYESA" ], "users": "2", "day": "17", "month": "4", "year": "2023" } ], "success": "true" } } } } } }, "400": { "$ref": "#/components/responses/keyError" }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "description": "Forbidden" } } } } }, "components": { "parameters": { "UserId": { "name": "X-User-Id", "in": "header", "description": "The user ID of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The token of the authenticated user.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "start": { "name": "start", "in": "query", "description": "The start date.", "required": "true", "schema": { "type": "string" }, "example": "2023-10-29T14:48:00Z" }, "end": { "name": "end", "in": "query", "description": "The end date.", "required": "true", "schema": { "type": "string" }, "example": "2023-11-05T14:48:00Z" } }, "responses": { "keyError": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Missing key": { "value": { "success": "false", "error": "Match error: Missing key 'start'" } }, "Example 2": { "value": { "success": "false", "error": "Match error: Failed Match.Where validation in field start" } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````